כדאי לנסות את שרת ה-MCP ל-Google Analytics. אפשר להתקין מ-
GitHub, ולקרוא את
ההודעה לפרטים נוספים.
Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: properties.fetchConnectedGa4Property
קל לארגן דפים בעזרת אוספים
אפשר לשמור ולסווג תוכן על סמך ההעדפות שלך.
אם יש לכם נכס UA שצוין, המערכת מחפשת את נכס GA4 שמקושר אליו. הערה: אי אפשר להשתמש באפשרות הזו בנכסי GA4.
בקשת HTTP
GET https://analyticsadmin.googleapis.com/v1alpha/properties:fetchConnectedGa4Property
בכתובת ה-URL נעשה שימוש בתחביר המרת קידוד של gRPC.
פרמטרים של שאילתה
| פרמטרים |
property |
string
חובה. נכס ה-UA שעבורו צריך לחפש את נכס GA4 המקושר. לתשומת ליבכם: הבקשה הזו משתמשת במזהה הנכס הפנימי, ולא במזהה לצורכי המעקב בפורמט UA-XXXXXX-YY. פורמט: properties/{internal_web_property_id} דוגמה: properties/1234
|
גוף הבקשה
גוף הבקשה חייב להיות ריק.
גוף התשובה
תשובה לחיפוש נכס GA4 שמקושר לנכס UA.
אם הפעולה בוצעה ללא שגיאות, גוף התגובה יכיל נתונים במבנה הבא:
| ייצוג JSON |
{
"property": string
} |
| שדות |
property |
string
נכס GA4 שמקושר לנכס UA. אם אין נכס GA4 מקושר, מוחזרת מחרוזת ריקה. פורמט: properties/{property_id} דוגמה: properties/1234
|
היקפי ההרשאות
נדרש אחד מהיקפי ההרשאות הבאים של OAuth:
https://www.googleapis.com/auth/analytics.readonly
https://www.googleapis.com/auth/analytics.edit
אלא אם צוין אחרת, התוכן של דף זה הוא ברישיון Creative Commons Attribution 4.0 ודוגמאות הקוד הן ברישיון Apache 2.0. לפרטים, ניתן לעיין במדיניות האתר Google Developers. Java הוא סימן מסחרי רשום של חברת Oracle ו/או של השותפים העצמאיים שלה.
עדכון אחרון: 2025-07-26 (שעון UTC).
[null,null,["עדכון אחרון: 2025-07-26 (שעון UTC)."],[],["This document details how to find a connected GA4 property using its associated UA property. A `GET` request to `https://analyticsadmin.googleapis.com/v1alpha/properties:fetchConnectedGa4Property` is made. The request requires a `property` query parameter, which is the UA property's internal ID, formatted as `properties/{internal_web_property_id}`. The request body must be empty. The response body returns a JSON structure containing a `property` field with the GA4 property ID or an empty string if none exists. The request needs authorization with specific OAuth scopes.\n"]]